Botan 1.10.17

Namespaces | Functions
ct_utils.h File Reference
`#include <botan/secmem.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::CT

## Functions
template<typename T >
void | Botan::CT::cond_zero_mem (T cond, T *array, size_t elems)
template<typename T >
void | Botan::CT::conditional_copy_mem (T value, T *to, const T *from0, const T *from1, size_t elems)
template<typename T >
T | Botan::CT::expand_mask (T x)
template<typename T >
T | Botan::CT::expand_top_bit (T a)
template<typename T >
T | Botan::CT::is_equal (T x, T y)
template<typename T >
T | Botan::CT::is_less (T x, T y)
template<typename T >
T | Botan::CT::is_lte (T x, T y)
template<typename T >
T | Botan::CT::is_zero (T x)
template<typename T >
T | Botan::CT::max (T a, T b)
template<typename T >
T | Botan::CT::min (T a, T b)
template<typename T >
T | Botan::CT::select (T mask, T from0, T from1)
template<typename PredT , typename ValT >
ValT | Botan::CT::val_or_zero (PredT pred_val, ValT val)